 
;; 
;; XDA par Gilles (gile) - Demand from Patrice B.
;;
;; Affiche une boite de dialogue qui liste les donnes tendues de l'objet slectionn
;; 
;; Commande clavier :  XDA
;; 

(defun c:xda (/ xd-box tmp file dcl_id ent dlst)
(defun xd-box (dlst)
(setq tmp (vl-filename-mktemp "Tmp.dcl")
file (open tmp "w")
)
(write-line
"XdBox:dialog{label=\"XDATA Infos\";"
file
)
(foreach l dlst
(write-line
(strcat ":boxed_column{label="
(vl-prin1-to-string (car l))
";"
)
file
)
(foreach p (cdr l)
(write-line
(strcat ":edit_box{label=\""
(cond
((= 1000 (car p)) "1000 String : ")
((= 1002 (car p)) "1002 Control String : ")
((= 1003 (car p)) "1003 Layer : ")
((= 1004 (car p)) "1004 Binary Data : ")
((= 1005 (car p)) "1005 Database Handle : ")
((= 1010 (car p)) "1010 Point : ")
((= 1011 (car p)) "1011 Position : ")
((= 1012 (car p)) "1012 Displacement : ")
((= 1013 (car p)) "1013 Direction : ")
((= 1040 (car p)) "1040 Real : ")
((= 1041 (car p)) "1041 Distance : ")
((= 1042 (car p)) "1042 Scale : ")
((= 1070 (car p)) "1070 Integer 16 bits : ")
((= 1071 (car p)) "1071 Integer 32 bits : ")
)
"\";value=\""
(vl-princ-to-string (cdr p))
"\";edit_width=30;}"
)
file
)
)
(write-line "}" file)
)
(write-line "spacer;ok_only;}" file)
(close file)
(setq dcl_id (load_dialog tmp))
(if (not (new_dialog "XdBox" dcl_id))
(exit)
)
(start_dialog)
(unload_dialog dcl_id)
(vl-file-delete tmp)
)

(if
(and
(setq ent (car (entsel)))
(setq dlst (cdr (assoc -3 (entget ent '("*")))))
)
(xd-box dlst)
(alert "Object without XDATA ! ")
)
(princ)
)  

